Subject: [PATCH V4 10/18] coresight: tmc: getting rid of multiple read access

From: [email-masked] (Suzuki K Poulose)
Date: Wed, 27 Apr 2016 09:54:33 +0100

On 26/04/16 23:10, Mathieu Poirier wrote:
> Allowing multiple readers to access the trace data simultaniously
> via sysFS provides no shortage of opportunity for race condition,
> mandates two variable to be maintained (drvdata::read_count and
> drvdata::reading), makes the code complex and provide little
> advantages, if any.
>
> This patch streamlines the read process by restricting trace data
> access to a single user.  That way drvdata::read_count can
> be eliminated and race conditions (along with faulty error handling)
> in function tmc_open() and tmc_release() eliminated.
>
> Signed-off-by: Mathieu Poirier <[email-masked]>

Nice!

Reviewed-by: Suzuki K Poulose <[email-masked]>

Suzuki